<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical"
    tools:context=".ui.fragments.UseLedgerFragment">

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="45dp"
        android:gravity="center"
        android:orientation="horizontal">

        <RadioButton
            android:id="@+id/radioOne"
            android:layout_width="65dp"
            android:layout_height="30dp"
            android:background="@drawable/bg_sele"
            android:button="@null"
            android:checked="true"
            android:gravity="center"
            android:textSize="12sp"
            android:text="全部"
            android:textColor="@drawable/text_color_selector" />

        <RadioButton
            android:id="@+id/radioTwo"
            android:layout_width="65dp"
            android:layout_height="30dp"
            android:background="@drawable/bg_one"
            android:button="@null"
            android:gravity="center"
            android:textSize="12sp"
            android:text="近一个月"
            android:textColor="@drawable/text_color_selector" />

        <RadioButton
            android:id="@+id/radioThree"
            android:layout_width="65dp"
            android:layout_height="30dp"
            android:background="@drawable/bg_sele_you"
            android:button="@null"
            android:gravity="center"
            android:textSize="12sp"
            android:text="近三个月"
            android:textColor="@drawable/text_color_selector" />

        <RelativeLayout
            android:layout_width="75dp"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/tvCategory">

            <TextView
                android:id="@+id/chemType"
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:background="@drawable/bg_shu_ru_kuang_twoe"
                android:gravity="center_vertical"
                android:paddingLeft="6dp"
                android:text="类别"
                android:textColor="@color/black"
                android:textSize="12sp" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:background="@mipmap/icon_kzjc_zk" />

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="75dp"
            android:layout_height="30dp"
            android:layout_marginLeft="6dp"
            android:background="@drawable/bg_shu_ru_kuang_twoe">

            <Spinner
                android:id="@+id/sPinner"
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:background="@null"
                android:gravity="center"
                android:entries="@array/spinner_spLev"
                android:padding="2dp"
                android:text="级别"
                android:textColor="@color/black" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:background="@mipmap/icon_kzjc_zk" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/relCabinet"
            android:layout_width="90dp"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/tvCategory">

            <TextView
                android:id="@+id/cabinetName"
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:background="@drawable/bg_shu_ru_kuang_twoe"
                android:gravity="center_vertical"
                android:paddingLeft="6dp"
                android:text="化学品柜"
                android:textColor="@color/black"
                android:textSize="12sp" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:background="@mipmap/icon_kzjc_zk" />

        </RelativeLayout>

        <EditText
            android:id="@+id/edCont"
            android:layout_width="280dp"
            android:layout_height="30dp"
            android:layout_marginLeft="6dp"
            android:layout_toLeftOf="@+id/reQuy"
            android:background="@drawable/bg_sou_no_1"
            android:hint="化学品名/拼音首字母/CAS码/编码/姓名"
            android:padding="4dp"
            android:imeOptions="actionDone"
            android:singleLine="true"
            android:textSize="12sp" />

        <RelativeLayout
            android:id="@+id/reQuy"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_marginRight="10dp">

            <ImageView
                android:layout_width="35dp"
                android:layout_height="30dp"
                android:background="@drawable/bg_no_01" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:layout_centerVertical="true"
                android:background="@mipmap/icon_ss" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                android:id="@+id/total"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="10dp"
                android:textColor="@color/black" />
        </RelativeLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="35dp"
        android:layout_marginTop="8dp"
        android:paddingLeft="13dp"
        android:background="@drawable/bg_bei_ji"
        android:gravity="center"
        android:orientation="horizontal">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="名称"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="编码"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="领用时间"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="领用人"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="双人认证"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="领用量"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="归还时间"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="归还人"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="双人认证"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="使用量"
            android:textColor="@color/black" />
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rvView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingLeft="13dp"
            android:layout_marginBottom="65dp"
            tools:listitem="@layout/item_use_ledger" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_alignParentBottom="true"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="20dp">

            <LinearLayout
                android:id="@+id/rvPage"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/one"
                    android:layout_width="30dp"
                    android:layout_height="25dp"
                    android:layout_marginLeft="10dp"
                    android:background="@drawable/bg_sou_suo_page"
                    android:gravity="center"
                    android:text="1"
                    android:textSize="10sp"
                    android:textColor="@color/white" />

                <TextView
                    android:id="@+id/two"
                    android:layout_width="30dp"
                    android:layout_height="25dp"
                    android:layout_marginLeft="10dp"
                    android:background="@drawable/bg_sou_suo_two_page"
                    android:gravity="center"
                    android:text="2"
                    android:textSize="10sp"
                    android:textColor="@color/black"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/three"
                    android:layout_width="30dp"
                    android:layout_height="25dp"
                    android:layout_marginLeft="10dp"
                    android:background="@drawable/bg_sou_suo_two_page"
                    android:gravity="center"
                    android:textSize="10sp"
                    android:text="3"
                    android:textColor="@color/black"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/drop"
                    android:layout_width="30dp"
                    android:layout_height="25dp"
                    android:layout_marginLeft="10dp"
                    android:background="@drawable/bg_sou_suo_two_page"
                    android:gravity="center"
                    android:text="..."
                    android:textSize="10sp"
                    android:textColor="@color/black"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/many"
                    android:layout_width="30dp"
                    android:layout_height="25dp"
                    android:layout_marginLeft="10dp"
                    android:background="@drawable/bg_sou_suo_two_page"
                    android:gravity="center"

                    android:text="4"
                    android:textSize="10sp"
                    android:textColor="@color/black"
                    android:visibility="gone" />
            </LinearLayout>

            <Button
                android:id="@+id/butUpper"
                android:layout_width="65dp"
                android:layout_height="25dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="-2dp"
                android:layout_centerVertical="true"
                android:textSize="10sp"
                android:layout_toLeftOf="@+id/rvPage"
                android:background="@drawable/bg_up_page"
                android:text="上一页"
                android:textColor="@color/black" />

            <Button
                android:id="@+id/butNext"
                android:layout_width="65dp"
                android:layout_height="25dp"
                android:textSize="10sp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="8dp"
                android:layout_toRightOf="@+id/rvPage"
                android:background="@drawable/bg_sou_suo_page"
                android:text="下一页"
                android:textColor="@color/white" />

            <Button
                android:id="@+id/butReturned"
                android:layout_width="wrap_content"
                android:layout_height="25dp"
                android:layout_alignParentRight="true"
                android:layout_marginRight="10dp"
                android:textSize="12sp"
                android:background="@drawable/bg_sou_suo_page"
                android:text="待归还清单"
                android:textColor="@color/white" />
        </RelativeLayout>
    </RelativeLayout>

</LinearLayout>